@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

zeb-page-subheader {
    display: block;
}
.zeb-page-subheader {
    &__content {
        display: flex;
        align-items: center;
        margin-bottom: 24px;
    }
    &__search {
        flex: auto;
        padding-right: 20px;

        &-container {
            max-width: 364px;
            margin: 0 auto 0 0;
            flex: auto;

            > .input-search-icon {
                left: 8px;
                top: 4px;
                color: $gray57c;
            }
            > .input-close-icon {
                right: 4px;
                top: 4px;
                color: $gray57c;
            }
        }

        &-container:not(.chips-input-container) &-input {
            padding: 4px 32px 4px 40px;
            font-size: 14px;
            line-height: 24px;
            height: 32px;
        }

        &-container:not(.chips-input-container).md-input-focused &-input {
            padding-bottom: 4px;
        }
    }

    &__actions {
        display: flex;
        align-items: center;

        .md-button {
            &,
            &.md-icon-button {
                margin: 0;
            }
        }
        .md-button + .md-button {
            margin-left: 32px;
        }
    }

    @media only screen and (max-width: $breakpoint-mobile - 1) {
        &__actions {
            .md-button,
            .md-button.md-focused:not(.md-icon-button) {
                &._left-icon {
                    min-width: 32px;
                    max-width: 32px;
                    padding: 4px;

                    .material-icons {
                        margin: 0 auto;
                    }
                    .md-button__text {
                        display: none;
                    }
                }
            }
        }
    }
}
